Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OntoSim 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## fr.inrialpes.exmo.ontosim.extractor.matching
Enum Cardinality.Role

    java.lang.Object
      java.lang.Enum<Cardinality.Role>
          fr.inrialpes.exmo.ontosim.extractor.matching.Cardinality.Role

All Implemented Interfaces:
  Serializable, Comparable<Cardinality.Role>

Enclosing class:
  Cardinality

    protected static enum Cardinality.Role

extends Enum<Cardinality.Role>

Enum Constant Summary
`MANY_MANY`
`ONE_MANY`
`ONE_ONE`
`ZERO_MANY`
`ZERO_ONE`

Field Summary
`private String` | `value`

Method Summary
`String` | `toString()`
`static Cardinality.Role` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Cardinality.Role[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ZERO_ONE

    public static final Cardinality.Role ZERO_ONE

### ZERO_MANY

    public static final Cardinality.Role ZERO_MANY

### ONE_ONE

    public static final Cardinality.Role ONE_ONE

### ONE_MANY

    public static final Cardinality.Role ONE_MANY

### MANY_MANY

    public static final Cardinality.Role MANY_MANY

Field Detail

### value

    private final String value

Method Detail

### values

    public static Cardinality.Role[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Cardinality.Role c : Cardinality.Role.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Cardinality.Role valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<Cardinality.Role>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OntoSim 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

(C) INRIA & friends, 2008-2009